Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Class PackagePartCollection

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.TreeMap<PackagePartName,PackagePart>
              org.apache.poi.openxml4j.opc.PackagePartCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<PackagePartName,PackagePart>, java.util.NavigableMap<PackagePartName,PackagePart>, java.util.SortedMap<PackagePartName,PackagePart>

    public final class PackagePartCollection

extends java.util.TreeMap<PackagePartName,PackagePart>

A package part collection.

Version:
  0.1
Author:
  Julien Chable
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`PackagePartCollection()`

Method Summary
`java.lang.Object` | `clone()`
`PackagePart` | `put(PackagePartName partName, PackagePart part)` Check rule [M1.11]: a package implementer shall neither create nor recognize a part with a part name derived from another part name by appending segments to it.
`PackagePart` | `remove(java.lang.Object key)`

Methods inherited from class java.util.TreeMap
`ceilingEntry, ceilingKey, clear, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, putAll, size, subMap, subMap, tailMap, tailMap, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, isEmpty, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode, isEmpty`

Constructor Detail

### PackagePartCollection

    public PackagePartCollection()

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.util.TreeMap<PackagePartName,PackagePart>`

### put

    public PackagePart put(PackagePartName partName,
                           PackagePart part)

  Check rule [M1.11]: a package implementer shall neither create nor recognize a part with a part name derived from another part name by appending segments to it.

  Specified by:
    `put` in interface `java.util.Map<PackagePartName,PackagePart>`
  Overrides:
    `put` in class `java.util.TreeMap<PackagePartName,PackagePart>`
  Throws:
    `InvalidOperationException` - Throws if you try to add a part with a name derived from another part name.

### remove

    public PackagePart remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<PackagePartName,PackagePart>`
  Overrides:
    `remove` in class `java.util.TreeMap<PackagePartName,PackagePart>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.